---
temporary:
    - &LOCATIONS
       "":
           base:
               uncertainties.m: {lat: 1000, lon: 1000, elev: 1000}
               depth.m: 0
               geology: "rock"
               vault: "seafloor"
               measurement_method: 'Dumb guess'
           position: {lat.deg: 10, lon.deg: 10, elev.m: 10}
       "00":
           base:
               uncertainties.m: {lat: 1000, lon: 1000, elev: 1000}
               depth.m: 0
               geology: "rock"
               vault: "seafloor"
               measurement_method: 'Sea-surface deployment'
           position: {lat.deg: -10, lon.deg: -10, elev.m: 10}
       "01":
           base:
               uncertainties.m: {lat: 10, lon: 10, elev: 10}
               depth.m: 0
               geology: "rock"
               vault: "seafloor"
               water_level.m: 10
               measurement_method: 'Acoustic survey'
           position: {lat.deg: 10.1, lon.deg: 10.1, elev.m: -2000}
    - &CLOCKBASE
        instrument: "Seascan MCXO, ~1e-8 nominal drift"
        reference: "GNSS"
network:
    code: '4G'
    description: 'test network'
    start_date: "2021-01-01"
    end_date: "2021-01-02"
    operators: [agency: "Network operator"]
reference_names:
    campaign: "HOHO"
    operator: "INSU-IPGP"
operators:
    - agency: "My park"
stations:
    "FULL0":
        site: "bob"
        start_date: '2007-01-01T00:00:00'
        end_date: '2008-02-01T00:00:00'
        location_code: "00"
        locations: *LOCATIONS
        instrumentation:
            base: "PAPA OBS"
            serial_number: "2456"
            datalogger_configuration: "125sps"
            channel_modifications:
                '*-*':
                    datalogger:
                        serial_number: "10"
                    sensor:
                        stage_modifications:
                            '1': {gain: {value: 24}}
        operators: [agency: "Another park"]
        processing:
            -
                clock_correction:
                    drift:
                        type: "piecewise_linear"
                        base: *CLOCKBASE
                        syncs_instrument_reference:
                            - ["2007-01-01T00:00:00Z", "2007-01-01T00:00:00Z"]
                            - ["2008-02-01T01:00:45Z", "2008-02-01T01:00:45.234Z"]
        notes: ["blah", "blah blah"]
        comments:
            - "A basic comment"
            - value: "A basic StationXML comment"
        extras: {a: {b: "haha"}}
        source_id: "http://www.sourceid.com"
        external_references:
            - uri: "http://www.externalreference.org"
              description: "an external reference"
        identifiers:
            - "http://www.identifier.com"
        description: "A description"
        restricted_status: "partial"
    "MIN1":
        start_date: '2008-01-01T00:00:00'
        end_date: '2009-02-01T00:00:00'
        location_code: "01"
        locations: *LOCATIONS
        instrumentation:
            base: "MAMA OBS"
    "MINA":
        start_date: '2009-01-01T00:00:00'
        end_date: '2010-02-01T00:00:00'
        location_code: ""
        locations:  *LOCATIONS
        instrumentation:
            base: "BABY OBS"
    "MINB":
        start_date: '2009-01-01T00:00:00'
        end_date: '2010-02-01T00:00:00'
        location_code: ""
        locations:  *LOCATIONS
        instrumentations:
            - base: "PAPA OBS"
            - base: "BABY OBS"
comments: ["Comment 1", "Comment 2"]
extras: {a: {b: "hello"}}